package com.loit.common.script.dto;

/**
 * 前端分组
 */
public enum FrontGroupEnum {


    /**
     * 灰度
     */
    gray("gray", "灰度"),

    /**
     * normal 正常
     */
    normal("normal", "正常");

    private String code;
    private String name;

    private FrontGroupEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    /**
     * 根据Code 获取枚举
     */
    public static FrontGroupEnum getEnumByCode(String code) {
        for (FrontGroupEnum bfEnum : FrontGroupEnum.values()) {
            if (bfEnum.getCode().equals(code)) {
                return bfEnum;
            }
        }
        return null;
    }

}
