# 初始化脚本步骤
1、使用代码生成
2、将生成的bin 下的文件上传服务器(192.169.201.14) /home/soft/deploy 文件夹


# 步骤
1、配置ssh
2、分发:/server/ip/initEnv.sh 到各自服务器/root/initEnv.sh
3、pssh 执行/root/initEnv.sh 脚本
4、pscp 发送项目配置文件到生产


# 步骤
mkdir -p /usr/local/nginx/conf/conf.d.start
mkdir -p /usr/local/nginx/conf/conf.d.stop
chmod 777 /usr/local/nginx/conf/conf.d.start
chmod 777 /usr/local/nginx/conf/conf.d.stop


```shell
# 初始化环境
#pscp -h /home/soft/deploy/server/phh_hosts.txt /home/soft/deploy/server/10.0.120.36/initEnv.sh /root
#pssh -h /home/soft/deploy/server/phh_hosts.txt -i bash /home/soft/deploy/mmm/init.sh
```

# 政务网服务网

1、免密登录
执行脚本
```shell
sh 1ssh_auto.sh
```

2、安装skywalking 客户端

```shell
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/skywalking /usr/local/
```

3、安装logstash 客户端

```shell
pscp -r -h /home/soft/deploy/server/host_ip_logstash.txt /usr/local/logstash-6.4.3 /usr/local/
```

4、拷贝java\nginx安装包到服务器
```shell
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/src/jdk-8u241-linux-x64.rpm /usr/local/src/
pscp -r -h /home/soft/deploy/server/host_ip_skywalking.txt /usr/local/src/nginxInstall /usr/local/src/
```

5、检查未安装java的服务器并进行java安装

```shell
pscp -h /home/soft/deploy/server/host_ip_java_check.txt /home/soft/deploy/server/install_java_check.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_java_check.txt -i bash /usr/local/src/install_java_check.sh
```

```shell
10.0.120.78	192.169.201.123  KingSoft123!
10.0.120.162	192.169.201.167
10.0.120.193	192.169.201.247
10.0.120.218	192.169.201.198
```

6、检查未安装nginx的服务器并进行java安装

```shell
pscp -h /home/soft/deploy/server/host_ip_nginx_check.txt /home/soft/deploy/server/install_nginx_check.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_nginx_check.txt -i bash /usr/local/src/install_nginx_check.sh

10.0.120.134	192.169.201.138
```


7、创建部署目录

```shell
pscp -h /home/soft/deploy/server/host_ip_skywalking.txt /home/soft/deploy/server/mkdir_common.sh /usr/local/src
pssh -h /home/soft/deploy/server/host_ip_skywalking.txt -i bash /usr/local/src/mkdir_common.sh

```

8、部署文件更新

文件进行 dos/unix 格式转换
```shell
sh formatFile.sh
```

发送最新部署文件

```shell
sh push_script.sh
```


执行初始化 /home/soft 脚本
```shell
pssh -h /home/soft/deploy/server/host_ip_push_script.txt -i bash /home/soft/initEnv.sh
```

执行拷贝 nginx 配置文件

```shell
pssh -h /home/soft/deploy/server/host_ip_push_script.txt -i bash /home/soft/copyNginxConfig.sh
```



curl -s -XPOST 'http://192.169.201.14:12012/createItem?name=loit-auto-csy-2' \
    -u "<username>:<API_TOKEN>" \
    --data-binary "@<mylocalconfig.xml>" \
    -H "Content-Type: text/xml"


http://192.169.201.14:12012/
